Jm=1.5e-4;
n=100;
Dm=0.0034;
Jl=2.7; 
Kel=3.05;
Del=0.0022;
Kt=1.6;
wc=70;

Jlr=Jl/n^2;

A=[0,1,0,0;-Kel/Jm,-(Del+Dm)/Jm,Kel/Jm,Del/Jm;0,0,0,1;Kel/Jlr,Del/Jlr,-Kel/Jlr,-Del/Jlr];
B=[0;1/Jm;0;0];

Kpv=0.03;
Tiv=0.094;

Rv = tf(Kpv*[Tiv 1],[Tiv 0]);
Rd=tf([1 0],[0.001 1]);

Ts=0.001;
Rvstar=c2d(Rv,Ts,'tustin');
Rdstar=c2d(Rd,Ts,'tustin');

figure, bode(Rv,Rvstar)
figure, bode(Rd,Rdstar)


[numRv,denRv]=tfdata(Rvstar,'v');
[numRd,denRd]=tfdata(Rdstar,'v');

Kpp=27;

Deltafim=-wc*1.5*Ts*180/pi;

quant_pos=2*pi/2^16;
quant_cop=10*Kt/2^11;



